From 28d587334fdadca36210e8c967a35992268112a9 Mon Sep 17 00:00:00 2001
From: Jana Librova <jcupova@redhat.com>
Date: Sep 16 2024 08:06:57 +0000
Subject: [PATCH 10/11] Fix review


---

diff --git a/plugins/builder/taskrepos.py b/plugins/builder/taskrepos.py
index a1c7b1a..8c05f6b 100644
--- a/plugins/builder/taskrepos.py
+++ b/plugins/builder/taskrepos.py
@@ -214,6 +214,7 @@ module_hotfixes=1
                 repos.append([uploadpath, fn])
                 repo_files.append(relpath)
         return repo_files, repos, repopath_part
+        #return repopath_part
 
     def handler(self, task_id, task_link=False):
         read_config()
@@ -221,16 +222,16 @@ module_hotfixes=1
         if not isinstance(task_id, int):
             task_id = int(task_id)
         taskinfo = self.session.getTaskInfo(task_id, request=True)
-        policy_data = {
-            'user_id': taskinfo['owner'],
-        }
-        self.session.host.assertPolicy('taskrepos', policy_data)
         if not taskinfo:
             raise koji.BuildError('Invalid task ID: %s' % task_id)
         if taskinfo['method'] != 'build':
             raise koji.BuildError('%s is not a build task' % task_id)
         if taskinfo['state'] != 2:
-            raise koji.BuildError('task %s has not completed successfully' % taskinfo['id'])
+            raise koji.BuildError('task %s has not completed successfully' % task_id)
+        policy_data = {
+            'user_id': taskinfo['owner'],
+        }
+        self.session.host.assertPolicy('taskrepos', policy_data)
         buildarch_subtasks = [subtask for subtask in self.session.getTaskChildren(task_id)
                               if subtask['method'] == 'buildArch']
         repodir, repodir_nvr, data['nvr'] = self.create_repos(buildarch_subtasks)
@@ -245,7 +246,7 @@ module_hotfixes=1
         return [uploadpath, repo_files]
 
 
-class taskRepoNotifications(BaseTaskHandler):
+class TaskRepoNotifications(BaseTaskHandler):
     Methods = ['taskRepoNotifications']
     _taskWeight = 0.1
 
diff --git a/plugins/hub/taskrepos_hub.py b/plugins/hub/taskrepos_hub.py
index 3c3bfe8..c4c94c2 100644
--- a/plugins/hub/taskrepos_hub.py
+++ b/plugins/hub/taskrepos_hub.py
@@ -46,7 +46,7 @@ def taskRepoDone(task_id, repos, repodir_nvr, topurl, task_link):
             rmtree(reponvr_dir)
         os.symlink(task_dir_with_id, reponvr_dir)
 
-    for i in range(0, len(repo_urls) - 1):
+    for i in range(0, len(repo_urls)):
         if task_link:
             repo_urls[i] = repo_urls[i].replace(
                 joinpath(koji.pathinfo.topdir, 'repos-tasks', 'tasks', str(task_id % 10000),
@@ -62,6 +62,8 @@ def taskRepoDone(task_id, repos, repodir_nvr, topurl, task_link):
     koji.util.rmtree(joinpath(
         koji.pathinfo.work(), '/'.join(rp.split(str(task_id))[:1]), str(task_id)))
     return repo_urls, files_dir, old_repodir
+    #return files_dir, old_repodir
+    #return repo_urls
 
 
 @callback('postTaskStateChange')

